pragma solidity ^0.5.0;

import "./ERC721Full.sol";

contract Episodio is ERC721Full {
     
    
    struct lab{
        string fecha_lab;
        string determinacion_lab;
    }
    
    struct rad{
        string fecha_rad;
        string informe_rad;
    }
    
    struct tipo_epi{
        bool hospitalizacion;
        bool ambulatorio;
        bool cex;
        bool quirurgico;
    }
    
    struct episodio{
      string fecha_epi;
      string enfermedad; 
      bool activacion;
      string exploracionFisica;
      string anamnesis;
      string medicacion;
      string cuidados;
      string recomendaciones;
      string evolutivo;
      string diagnostico;
      mapping (uint => tipo_epi) tipo_episodio;
      mapping (uint => lab) analitica;
      mapping (uint => rad) radiologia;
    }
    
    mapping (uint => episodio) epi;

    //aqui declacion de arrays 
    episodio[] public episodio_completo;
    

   
    constructor() ERC721Full("Episodio", "EHospital") public {
    }

    //creamos el token con los atributos que le describamos
    function mint(string memory _fecha,string memory _enfermedad, string memory _exploracionFisica,
    string memory _anamnesis, string memory _medicacion, string memory _cuidados,
    string memory _recomendaciones, string memory _evolutivo, string memory _diagnostico) public {
       //guardamos el episodio dentro de un array para tenerlos localizados.
       uint _id = episodio_completo.push(episodio(_fecha, _enfermedad, true,
       _exploracionFisica, _anamnesis, _medicacion, _cuidados, _recomendaciones, _evolutivo, _diagnostico ));
       _mint(msg.sender, _id);
   }
   
    // Funcion para transaferir solo en el caso en el la bandera del primer paso esté a true. Cuando se traspase una vez, este flag se mantendrá a false.  
    function transferFrom(address _owner, address _to, uint _id) public {                                         
       // episodio storage c = epi[_id];
        if (activacion == true) {
            activacion = false;
            _transferFrom(_owner, _to, _id);
            
        }
   }
 
 
}